SolarisPrincipal (Java SE 9 & JDK 9 )
Keywords: com.sun.security.auth.SolarisPrincipal class

Module jdk.security.auth
Package com.sun.security.auth

## Class SolarisPrincipal

- java.lang.Object
- - com.sun.security.auth.SolarisPrincipal

- All Implemented Interfaces:
    `Serializable`, `Principal`

  Deprecated, for removal: This API element is subject to removal in a future version.
  As of JDK 1.4, replaced by `UnixPrincipal`. This class is entirely deprecated. This class is subject to removal in a future version of Java SE.

      @Deprecated(since="1.4",
                  forRemoval=true)
      public class SolarisPrincipal
      extends Object
      implements Principal, Serializable

  This class implements the `Principal` interface and represents a Solaris user.

  Principals such as this `SolarisPrincipal` may be associated with a particular `Subject` to augment that `Subject` with an additional identity. Refer to the `Subject` class for more information on how to achieve this. Authorization decisions can then be based upon the Principals associated with a `Subject`.

  See Also:
    `Principal`, `Subject`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SolarisPrincipal​(String name)` | Deprecated, for removal: This API element is subject to removal in a future version. Create a SolarisPrincipal with a Solaris username.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` | Deprecated, for removal: This API element is subject to removal in a future version. Compares the specified Object with this `SolarisPrincipal` for equality.
    `String` | `getName​()` | Deprecated, for removal: This API element is subject to removal in a future version. Return the Unix username for this `SolarisPrincipal`.
    `int` | `hashCode​()` | Deprecated, for removal: This API element is subject to removal in a future version. Return a hash code for this `SolarisPrincipal`.
    `String` | `toString​()` | Deprecated, for removal: This API element is subject to removal in a future version. Return a string representation of this `SolarisPrincipal`.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.security.Principal

      `implies`

- - ### Constructor Detail

    - #### SolarisPrincipal

          public SolarisPrincipal​(String name)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Create a SolarisPrincipal with a Solaris username.
      Parameters:
        `name` - the Unix username for this user.
      Throws:
        `NullPointerException` - if the `name` is `null`.

  - ### Method Detail

    - #### getName

          public String getName​()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return the Unix username for this `SolarisPrincipal`.
      Specified by:
        `getName` in interface `Principal`
      Returns:
        the Unix username for this `SolarisPrincipal`

    - #### toString

          public String toString​()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return a string representation of this `SolarisPrincipal`.
      Specified by:
        `toString` in interface `Principal`
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of this `SolarisPrincipal`.

    - #### equals

          public boolean equals​(Object o)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Compares the specified Object with this `SolarisPrincipal` for equality. Returns true if the given object is also a `SolarisPrincipal` and the two SolarisPrincipals have the same username.
      Specified by:
        `equals` in interface `Principal`
      Overrides:
        `equals` in class `Object`
      Parameters:
        `o` - Object to be compared for equality with this `SolarisPrincipal`.
      Returns:
        true if the specified Object is equal to this `SolarisPrincipal`.
      See Also:
        `Object.hashCode()`, `HashMap`

    - #### hashCode

          public int hashCode​()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return a hash code for this `SolarisPrincipal`.
      Specified by:
        `hashCode` in interface `Principal`
      Overrides:
        `hashCode` in class `Object`
      Returns:
        a hash code for this `SolarisPrincipal`.
      See Also:
        `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`